.TH DECODE 1 LOCAL "June 1994"
.SH NAME
decode - pga chromosome decoder
.SH SYNOPSIS
\fBdecode [-g] n l u\fP
.br
\fBdecode -t [-Fdatafile]\fP
.br
\fBdecode -h\fP
.SH DESCRIPTION
.I decode
is a filter (reads from standard input, writes to standard output). In
the first form it reads chromosomes produced by \fBpga\fP trying to solve
one of the function optimisiation tasks and converts each back into
the numbers which were the arguments to the function. The parameters
specify the number of arguments (n) for the function in question, and
the lower (l) and upper (u) limits of the range of values that every
argument can take. This is problem-specific; see the \fBpga\fp
documentation. The \fB-g\fP flag is used if the same flag was given
to \fBpga\fP; the numbers were represented in Gray-code form and need
to be converted back to normal form.
.sp
In the second form, with the \fB-t\fP flag, each chromosome is assumed
to represent a timetable. The corresponding human-readable timetable
is output, together wiht a report on any constraint violations. To do
this the program needs to read the timetable problem file, which
defaults to the file \fBttdata\fP. Use the \fB-Fdatafile\fP flag
to specify a different file (as you would to \fBpga\fP itself).
.sp
.B \-h
prints a brief option summary and exits.
.SH "SEE ALSO"
The document "About PGA" by Peter Ross
.SH "DIAGNOSTICS"
Should be self explanatory.
.SH AUTHOR
Peter Ross (peter@aisb.ed.ac.uk)
